Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.tunnel.pool
Class BuildHandler

    java.lang.Object
      net.i2p.router.tunnel.pool.BuildHandler

     class BuildHandler

extends Object

Handle the received tunnel build message requests and replies, including sending responsses to requests, updating the lists of our tunnels and participating tunnels, and updating stats. Replies are handled immediately on reception; requests are queued. Note that 10 minute tunnel expiration is hardcoded in here.

Constructor Summary
`BuildHandler(RouterContext ctx, BuildExecutor exec)`

Method Summary
`int` | `getInboundBuildQueueSize()`
`(package private) int` | `handleInboundRequests()` Blocking call to handle a few of the pending inbound requests, returning how many requests remain after this pass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildHandler

    public BuildHandler(RouterContext ctx,
                        BuildExecutor exec)

Method Detail

### handleInboundRequests

    int handleInboundRequests()

  Blocking call to handle a few of the pending inbound requests, returning how many requests remain after this pass. This is called by BuildExecutor.

### getInboundBuildQueueSize

    public int getInboundBuildQueueSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD